Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80142 - ide-scsi driver causes kernel panic on rewind after tape fills
Summary: ide-scsi driver causes kernel panic on rewind after tape fills
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 4.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 17:01 UTC by Kern Sibbald
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 04:32:21 UTC


Attachments (Terms of Use)

Description Kern Sibbald 2002-12-20 17:01:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
Writing 64K fixed size tape blocks to a Seagate  Model: STT20000A  
tape drive using the ide-scsi driver causes a kernel
panic when the end of tape is reached and a rewind request
is made.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run Bacula btape program
2.Enter the "fill" command
3.
    

Actual Results:  The program reports its progress periodically as follows:
...
Simple test (single tape) selected.
btape: Wrote label to prelabeled Volume  on device /dev/nst0
btape: btape.c:1121 Wrote block=5000, VolBytes=322,495,678 rate=820.6 KB/s
...
btape: btape.c:1126 Flush block, write EOF
btape: Error in block.c:229 block.c:228 Expected block-id BB01 or BB02, got ´O½). Bu
btape: btape Error: Re-read last block at EOT failed. ERR=block.c:228 Expected block
btape: btape.c:1377 block.c:228 Expected block-id BB01 or BB02, got ´O½). Buffer dis
btape: btape.c:1379 Block not written: FileIndex=459800 Block=154975 Size=64512
btape: block.c:81 Dump block Block not written 808e9d0: size=64512 BlkNum=154975
               Hdrcksum=71aa652d cksum=71aa652d
btape: block.c:94    Rec: VId=1 VT=1039883876 FI=459798 Strm=contDATA len=26612 p=80
btape: block.c:94    Rec: VId=1 VT=1039883876 FI=459799 Strm=DATA len=32768 p=80969b
btape: btape.c:1172 Done filling tape. Now beginning re-read of tape ...

The kernel panics and rebooting is necessary.


Expected Results:  As above, except that the tape should rewind and
the program should read back what it wrote. 

Additional info:

At the point of the system crash, the program is using
system read(), write() requests and a few simple ioctl() requests
(e.g. rewind). There is absolutely nothing fancy, no
special modes ...

Comment 1 Pete Zaitcev 2003-08-01 18:13:23 UTC
If the system stays up, dmesg should be captured.
Otherwise, a serial console or netdump must be established.

Also, the release field is obviously wrong in the report (4.2).
I need to see /etc/redhat_release and /proc/versions.


Comment 2 Kern Sibbald 2003-08-03 21:09:24 UTC
Unfortunately, I no longer have access to the system that has the
IDE-SCSI drive.


Note You need to log in before you can comment on or make changes to this bug.